- / +
GObject
GeglConfig

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0 = full speed
tile-cache-size GParamUInt64
  size of tile cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
threads GParamInt
  Number of concurrent evaluation threads
use-opencl GParamBoolean
  Try to use OpenCL
queue-size GParamInt
  Maximum size of a file backend's writer thread queue (in bytes)
application-license GParamString
  A list of additional licenses to allow for operations

GeglBufferConfig

tile-cache-size GParamUInt64
  size of tile cache in bytes
swap GParamString
  where gegl stores it's swap files
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
queue-size GParamInt
  Maximum size of a file backend's writer thread queue (in bytes)

GBinding

source GParamObject
  The source of the binding
target GParamObject
  The target of the binding
source-property GParamString
  The property on the source to bind
target-property GParamString
  The property on the target to bind
flags GParamFlags
  The binding flags

GeglModuleDB
GTypeModule
GeglModule
GeglOperation
GeglOperationFilter
GeglOperationPointFilter
GeglOpcache_c

cache GParamObject
  NULL or a GeglBuffer containing cached rendering results, this is a special buffer where gegl_buffer_list_valid_rectangles returns the part of the cache that is valid.

GeglOpabsolute_c
GeglOpalien-map_c

color-model GeglParamEnum
  What color model used for the transformation
cpn-1-frequency GeglParamDouble
cpn-2-frequency GeglParamDouble
cpn-3-frequency GeglParamDouble
cpn-1-phaseshift GeglParamDouble
cpn-2-phaseshift GeglParamDouble
cpn-3-phaseshift GeglParamDouble
cpn-1-keep GParamBoolean
cpn-2-keep GParamBoolean
cpn-3-keep GParamBoolean

GeglOpbrightness-contrast_c

contrast GeglParamDouble
  Magnitude of contrast scaling >1.0 brighten < 1.0 darken
brightness GeglParamDouble
  Amount to increase brightness

GeglOpcolor-overlay_c

value GeglParamColor
  The color to paint over the input
srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpcolor-rotate_c

src-clockwise GParamBoolean
  Switch to clockwise
src-from GeglParamDouble
  Start angle of the source color range
src-to GeglParamDouble
  End angle of the source color range
dest-clockwise GParamBoolean
  Switch to clockwise
dest-from GeglParamDouble
  Start angle of the destination color range
dest-to GeglParamDouble
  End angle of the destination color range
threshold GeglParamDouble
  Colors with a saturation less than this will treated as gray
gray-mode GeglParamEnum
  Treat as this: Gray colors from above source range will be treated as if they had this hue and saturation Change to this: Change gray colors to this hue and saturation
hue GeglParamDouble
  Hue value for above gray settings
saturation GeglParamDouble
  Saturation value for above gray settings

GeglOpcolor-temperature_c

original-temperature GeglParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GeglParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

GeglOpcolor-warp_c

from-0 GeglParamColor
to-0 GeglParamColor
weight-0 GeglParamDouble
from-1 GeglParamColor
to-1 GeglParamColor
weight-1 GeglParamDouble
from-2 GeglParamColor
to-2 GeglParamColor
weight-2 GeglParamDouble
from-3 GeglParamColor
to-3 GeglParamColor
weight-3 GeglParamDouble
from-4 GeglParamColor
to-4 GeglParamColor
weight-4 GeglParamDouble
from-5 GeglParamColor
to-5 GeglParamColor
weight-5 GeglParamDouble
from-6 GeglParamColor
to-6 GeglParamColor
weight-6 GeglParamDouble
from-7 GeglParamColor
to-7 GeglParamColor
weight-7 GeglParamDouble
weight GeglParamDouble
amount GeglParamDouble

GeglOpcomponent-extract_c

component GeglParamEnum
  Component to extract
invert GParamBoolean
  Invert the extracted component
linear GParamBoolean
  Use linear output instead of gamma corrected

GeglOpcontrast-curve_c

sampling-points GeglParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

GeglOpexposure_c

black-level GeglParamDouble
  Adjust the black level
exposure GeglParamDouble
  Relative brightness change in stops

GeglOpgrey_c
GeglOphue-chroma_c

hue GeglParamDouble
  Hue adjustment
chroma GeglParamDouble
  Chroma adjustment
lightness GeglParamDouble
  Lightness adjustment

GeglOpinvert-gamma_c
GeglOpinvert-linear_c
GeglOplevels_c

in-low GeglParamDouble
  Input luminance level to become lowest output
in-high GeglParamDouble
  Input luminance level to become white
out-low GeglParamDouble
  Lowest luminance level in output
out-high GeglParamDouble
  Highest luminance level in output

GeglOpmono-mixer_c

preserve-luminosity GParamBoolean
red GeglParamDouble
green GeglParamDouble
blue GeglParamDouble

GeglOpnewsprint_c

color-model GeglParamEnum
  How many inks to use just black, rg, rgb (additive), or cmyk
pattern GeglParamEnum
  Halftoning/dot pattern to use
period GeglParamDouble
  The number of pixels across one repetition of a base pattern at base resolution.
turbulence GeglParamDouble
  Color saturation dependent compression of period
blocksize GeglParamDouble
  Number of periods per tile, this tiling avoids high frequency anomaly that angle boost causes
angleboost GeglParamDouble
  Multiplication factor for desired rotation of the local space for texture, the way this is computed makes it weak for desaturated colors and possibly stronger where there is color.
twist GeglParamDouble
  angle offset for patterns
twist2 GeglParamDouble
twist3 GeglParamDouble
twist4 GeglParamDouble

GeglOpnoise-cie-lch_c

holdness GeglParamInt
  A high value lowers the randomness of the noise
lightness-distance GeglParamDouble
chroma-distance GeglParamDouble
hue-distance GeglParamDouble
seed GeglParamSeed

GeglOpnoise-hsv_c

holdness GeglParamInt
  A high value lowers the randomness of the noise
hue-distance GeglParamDouble
saturation-distance GeglParamDouble
value-distance GeglParamDouble
seed GeglParamSeed

GeglOpnoise-hurl_c

pct-random GeglParamDouble
repeat GeglParamInt
seed GeglParamSeed

GeglOpnoise-rgb_c

correlated GParamBoolean
independent GParamBoolean
  Control amount of noise for each RGB channel separately
linear GParamBoolean
  Operate on linearized RGB color data
gaussian GParamBoolean
  Use a gaussian noise distribution, when unticked a linear noise distribution is used instead
red GeglParamDouble
green GeglParamDouble
blue GeglParamDouble
alpha GeglParamDouble
seed GeglParamSeed

GeglOpposterize_c

levels GeglParamInt
  number of levels per component

GeglOprgb-clip_c

clip-low GParamBoolean
  Clip low pixel values
low-limit GeglParamDouble
  Pixels values lower than this limit will be set to it
clip-high GParamBoolean
  Clip high pixel values
high-limit GeglParamDouble
  Pixels values higher than this limit will be set to it

GeglOpsaturation_c

scale GeglParamDouble
  Scale, strength of effect

GeglOpsepia_c

scale GeglParamDouble
  Strength of the sepia effect
srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsvg-huerotate_c

values GParamString
  list of <number>s

GeglOpsvg-luminancetoalpha_c
GeglOpsvg-matrix_c

values GParamString
  list of <number>s

GeglOpsvg-saturate_c

values GParamString
  list of <number>s

GeglOpunpremultiply_c
GeglOpvalue-invert_c
GeglOpvignette_c

shape GeglParamEnum
color GeglParamColor
  Defaults to 'black', you can use transparency here to erase portions of an image
radius GeglParamDouble
  How far out vignetting goes as portion of half image diagonal
softness GeglParamDouble
gamma GeglParamDouble
  Falloff linearity
proportion GeglParamDouble
  How close we are to image proportions
squeeze GeglParamDouble
  Aspect ratio to use, -0.5 = 1:2, 0.0 = 1:1, 0.5 = 2:1, -1.0 = 1:inf 1.0 = inf:1, this is applied after proportion is taken into account, to directly use squeeze factor as proportions, set proportion to 0.0.
x GeglParamDouble
y GeglParamDouble
rotation GeglParamDouble

GeglOpclone_c

ref GParamString
  The reference ID used as input (for use in XML).

GeglOpcast-format_c

input-format GeglParamFormat
  The babl format of the input
output-format GeglParamFormat
  The babl format of the output

GeglOpconvert-format_c

format GeglParamFormat
  The babl format of the output

GeglOpconvert-space_c

name GParamString
  One of: sRGB, Adobish, Rec2020, ProPhoto, Apple, ACEScg, ACES2065-1
pointer GeglParamFormat
  pointer to a const * Babl space
path GeglParamFilePath
  File system path to ICC matrix profile to load

GeglOpcrop_c

x GeglParamDouble
y GeglParamDouble
width GeglParamDouble
height GeglParamDouble
reset-origin GParamBoolean

GeglOpnop_c
GeglOplcms-from-profile_c

src-profile GParamPointer
intent GeglParamEnum
  The rendering intent to use in the conversion.
black-point-compensation GParamBoolean
  Convert using black point compensation.

GeglOpvector-fill_c

color GeglParamColor
  Color of paint to use for filling.
opacity GeglParamDouble
  The fill opacity to use.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd)
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglOpnpd_c

model GParamPointer
  Model - basic element we operate on
square-size GeglParamInt
  Size of an edge of square the mesh consists of
rigidity GeglParamInt
  The number of deformation iterations
asap-deformation GParamBoolean
  ASAP deformation is performed when TRUE, ARAP deformation otherwise
mls-weights GParamBoolean
  Use MLS weights
mls-weights-alpha GeglParamDouble
  Alpha parameter of MLS weights
preserve-model GParamBoolean
  When TRUE the model will not be freed
sampler-type GeglParamEnum
  Sampler used internally

GeglOpvector-stroke_c

color GeglParamColor
  Color of paint to use for stroking.
width GeglParamDouble
  The width of the brush used to stroke the path.
opacity GeglParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglOppath_c

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling
stroke GeglParamColor
  Color of paint to use for stroking
stroke-width GeglParamDouble
  The width of the brush used to stroke the path
stroke-opacity GeglParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool
stroke-hardness GeglParamDouble
  Hardness of the brush, 0.0 for a soft brush, 1.0 for a hard brush
fill-rule GParamString
  How to determine what to fill (nonzero|evenodd)
transform GParamString
  SVG style description of transform
fill-opacity GeglParamDouble
  The fill opacity to use
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglOperationAreaFilter
GeglOpbilateral-filter_c

blur-radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GeglParamDouble
  Amount of edge preservation

GeglOpbox-blur_c

radius GeglParamInt
  Radius of square pixel region, (width and height will be radius*2+1)

GeglOpc2g_c

radius GeglParamInt
  Neighborhood taken into account, this is the radius in pixels taken into account when deciding which colors map to which gray values
samples GeglParamInt
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamInt
  Number of iterations, a higher number of iterations provides less noisy results at a computational cost
enhance-shadows GParamBoolean
  When enabled details in shadows are boosted at the expense of noise

GeglOpconvolution-matrix_c

a1 GeglParamDouble
a2 GeglParamDouble
a3 GeglParamDouble
a4 GeglParamDouble
a5 GeglParamDouble
b1 GeglParamDouble
b2 GeglParamDouble
b3 GeglParamDouble
b4 GeglParamDouble
b5 GeglParamDouble
c1 GeglParamDouble
c2 GeglParamDouble
c3 GeglParamDouble
c4 GeglParamDouble
c5 GeglParamDouble
d1 GeglParamDouble
d2 GeglParamDouble
d3 GeglParamDouble
d4 GeglParamDouble
d5 GeglParamDouble
e1 GeglParamDouble
e2 GeglParamDouble
e3 GeglParamDouble
e4 GeglParamDouble
e5 GeglParamDouble
divisor GeglParamDouble
offset GeglParamDouble
red GParamBoolean
green GParamBoolean
blue GParamBoolean
alpha GParamBoolean
normalize GParamBoolean
alpha-weight GParamBoolean
border GeglParamEnum

GeglOpedge-sobel_c

horizontal GParamBoolean
vertical GParamBoolean
keep-sign GParamBoolean
  Keep negative values in result; when off, the absolute value of the result is used instead.

GeglOpimage-gradient_c

output-mode GeglParamEnum
  Output Mode

GeglOpmean-curvature-blur_c

iterations GeglParamInt
  Controls the number of iterations

GeglOpmedian-blur_c

neighborhood GeglParamEnum
  Neighborhood type
radius GeglParamInt
  Neighborhood radius
percentile GeglParamDouble
  Neighborhood color percentile
alpha-percentile GeglParamDouble
  Neighborhood alpha percentile
abyss-policy GeglParamEnum
  How image edges are handled
high-precision GParamBoolean
  Avoid clipping and quantization (slower)

GeglOpmotion-blur-linear_c

length GeglParamDouble
  Length of blur in pixels
angle GeglParamDouble
  Angle of blur in degrees

GeglOpnoise-pick_c

pct-random GeglParamDouble
repeat GeglParamInt
seed GeglParamSeed

GeglOpnoise-reduction_c

iterations GeglParamInt
  Controls the number of iterations; lower values give less plastic results

GeglOpnoise-spread_c

amount-x GeglParamInt
  Horizontal spread amount
amount-y GeglParamInt
  Vertical spread amount
seed GeglParamSeed

GeglOppixelize_c

norm GeglParamEnum
  The shape of pixels
size-x GeglParamInt
  Width of blocks in pixels
size-y GeglParamInt
  Height of blocks in pixels
ratio-x GeglParamDouble
  Horizontal size ratio of a pixel inside each block
ratio-y GeglParamDouble
  Vertical size ratio of a pixel inside each block
background GeglParamColor
  Color used to fill the background

GeglOpsnn-mean_c

radius GeglParamInt
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GeglParamInt
  Number of pairs; higher number preserves more acute features

GeglOpstress_c

radius GeglParamInt
  Neighborhood taken into account, for enhancement ideal values are close to the longest side of the image, increasing this increases the runtime
samples GeglParamInt
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamInt
  Number of iterations, a higher number of iterations provides a less noisy rendering at a computational cost
enhance-shadows GParamBoolean
  When enabled also enhances shadow regions - when disabled a more natural result is yielded

GeglOpwavelet-blur-1d_c

radius GeglParamDouble
  Radius of the wavelet blur
orientation GeglParamEnum
  The orientation of the blur - hor/ver

GeglOpdither_c

red-levels GeglParamInt
  Number of levels for red channel
green-levels GeglParamInt
  Number of levels for green channel
blue-levels GeglParamInt
  Number of levels for blue channel
alpha-levels GeglParamInt
  Number of levels for alpha channel
dither-method GeglParamEnum
  The dithering method to use
seed GeglParamSeed

GeglOpcolor-enhance_c
GeglOpcopy-buffer_c

buffer GParamObject
  An already existing GeglBuffer to write incoming buffer data to, or NULL.

GeglOpdistance-transform_c

metric GeglParamEnum
  Metric to use for the distance calculation
threshold-lo GeglParamDouble
threshold-hi GeglParamDouble
averaging GeglParamInt
  Number of computations for grayscale averaging
normalize GParamBoolean
  Normalize output to range 0.0 to 1.0.

GeglOpedge-neon_c

radius GeglParamDouble
  Radius of effect (in pixels)
amount GeglParamDouble
  Strength of Effect

GeglOpexp-combine_c

exposures GParamString
  Relative brightness of each exposure in EV
steps GeglParamInt
  Log2 of source's discretization steps
sigma GeglParamDouble
  Weight distribution sigma controlling response contributions

GeglOpfattal02_c

alpha GeglParamDouble
  Gradient threshold for detail enhancement
beta GeglParamDouble
  Strength of local detail enhancement
saturation GeglParamDouble
  Global color saturation factor
noise GeglParamDouble
  Gradient threshold for lowering detail enhancement

GeglOpgblur-1d_c

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
orientation GeglParamEnum
  The orientation of the blur - hor/ver
filter GeglParamEnum
  How the gaussian kernel is discretized
abyss-policy GeglParamEnum
  How image edges are handled
clip-extent GParamBoolean
  Should the output extent be clipped to the input extent

GeglOplittle-planet_c

pan GeglParamDouble
  Horizontal camera panning
tilt GeglParamDouble
  Vertical camera panning
spin GeglParamDouble
  Spin angle around camera axis
zoom GeglParamDouble
  Zoom level
width GeglParamInt
  output/rendering width in pixels, -1 for input width
height GeglParamInt
  output/rendering height in pixels, -1 for input height
inverse GParamBoolean
  Do the inverse mapping, useful for touching up zenith, nadir or other parts of panorama.
sampler-type GeglParamEnum
  Image resampling method to use, for good results with double resampling when retouching panoramas, use nearest to generate the view and cubic or better for the inverse transform back to panorama.

GeglOplong-shadow_c

style GeglParamEnum
  Shadow style
angle GeglParamDouble
  Shadow angle
length GeglParamDouble
  Shadow length
midpoint GeglParamDouble
  Shadow fade midpoint
midpoint-rel GeglParamDouble
  Shadow fade midpoint, as a factor of the shadow length
color GeglParamColor
  Shadow color
composition GeglParamEnum
  Output composition

GeglOpmantiuk06_c

contrast GeglParamDouble
  The amount of contrast compression
saturation GeglParamDouble
  Global color saturation factor
detail GeglParamDouble
  Level of emphasis on image gradient details

GeglOpmblur_c

dampness GeglParamDouble
  The value represents the contribution of the past to the new frame.

GeglOpmirrors_c

m-angle GeglParamDouble
  Rotation applied to the mirrors
r-angle GeglParamDouble
  Rotation applied to the result
n-segs GeglParamInt
  Number of mirrors to use
c-x GeglParamDouble
  position of symmetry center in output
c-y GeglParamDouble
  position of symmetry center in output
o-x GeglParamDouble
  X axis ratio for the center of mirroring
o-y GeglParamDouble
  Y axis ratio for the center of mirroring
trim-x GeglParamDouble
  X axis ratio for trimming mirror expanse
trim-y GeglParamDouble
  Y axis ratio for trimming mirror expanse
input-scale GeglParamDouble
  Scale factor to make rendering size bigger
output-scale GeglParamDouble
  Scale factor to make rendering size bigger
clip GParamBoolean
warp GParamBoolean
  Fill full output area

GeglOppanorama-projection_c

pan GeglParamDouble
  Horizontal camera panning
tilt GeglParamDouble
  Vertical camera panning
spin GeglParamDouble
  Spin angle around camera axis
zoom GeglParamDouble
  Zoom level
width GeglParamInt
  output/rendering width in pixels, -1 for input width
height GeglParamInt
  output/rendering height in pixels, -1 for input height
inverse GParamBoolean
  Do the inverse mapping, useful for touching up zenith, nadir or other parts of panorama.
sampler-type GeglParamEnum
  Image resampling method to use, for good results with double resampling when retouching panoramas, use nearest to generate the view and cubic or better for the inverse transform back to panorama.

GeglOpreinhard05_c

brightness GeglParamDouble
  Overall brightness of the image
chromatic GeglParamDouble
  Adaptation to color variation across the image
light GeglParamDouble
  Adaptation to light variation across the image

GeglOpslic_c

cluster-size GeglParamInt
  Size of a region side
compactness GeglParamInt
  Cluster size
iterations GeglParamInt
  Number of iterations

GeglOpspherize_c

mode GeglParamEnum
  Displacement mode
angle-of-view GeglParamDouble
  Camera angle of view
curvature GeglParamDouble
  Spherical cap apex angle, as a fraction of the co-angle of view
amount GeglParamDouble
  Displacement scaling factor (negative values refer to the inverse displacement)
sampler-type GeglParamEnum
  Mathematical method for reconstructing pixel values

GeglOpstretch-contrast-hsv_c
GeglOpstretch-contrast_c

keep-colors GParamBoolean
  Impact each channel with the same amount
perceptual GParamBoolean
  When set operate on gamma corrected values instead of linear RGB - acting like the old normalize filter in GIMP

GeglOptile_c

offset-x GeglParamInt
offset-y GeglParamInt

GeglOptile-seamless_c
GeglOpwarp_c

strength GeglParamDouble
size GeglParamDouble
hardness GeglParamDouble
spacing GeglParamDouble
stroke GeglParamPath
behavior GeglParamEnum
  Behavior of the op

GeglOpwaterpixels_c

size GeglParamInt
smoothness GeglParamDouble
regularization GeglParamInt
  trade-off between superpixel regularity and adherence to object boundaries
fill GeglParamEnum
  How to fill superpixels

GeglOpwatershed-transform_c
GeglOpPlugIn-transform-core

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

GeglOpPlugIn-scale-core

abyss-policy GParamEnum
  How image edges are handled

GeglOpscale-ratio_c

x GeglParamDouble
  Horizontal scale factor
y GeglParamDouble
  Vertical scale factor

GeglOpscale-size_c

x GeglParamDouble
  Horizontal size
y GeglParamDouble
  Vertical size

GeglOpscale-size-keepaspect_c

x GeglParamDouble
  Horizontal size
y GeglParamDouble
  Vertical size

GeglOprotate_c

degrees GeglParamDouble
  Angle to rotate (counter-clockwise)

GeglOpreflect_c

x GeglParamDouble
  Direction vector's X component
y GeglParamDouble
  Direction vector's Y component

GeglOpshear_c

x GeglParamDouble
  Horizontal shear amount
y GeglParamDouble
  Vertical shear amount

GeglOptranslate_c

x GeglParamDouble
  Horizontal translation
y GeglParamDouble
  Vertical translation

GeglOptransform_c

transform GParamString
  Transformation SVG syntax transformation string

GeglOprotate-on-center_c

degrees GeglParamDouble
  Angle to rotate (counter-clockwise)
origin-x GeglParamDouble
  Ignored. Always uses center of input buffer
origin-y GeglParamDouble
  Ignored. Always uses center of input buffer

GeglOperationMeta
GeglOpload_c

path GeglParamFilePath
  Path of file to load.
uri GeglParamUri
  URI of file to load.

gegl_json_grey2

height GParamDouble
width GParamDouble

gegl_json_dropshadow2

x GParamDouble
  Horizontal translation
y GParamDouble
  Vertical translation
color GeglParamColor
  The color to render (defaults to 'black')
radius GParamDouble
  Standard deviation for the horizontal axis
opacity GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

GeglOpdifference-of-gaussians_c

radius1 GeglParamDouble
radius2 GeglParamDouble

GeglOpdropshadow_c

x GeglParamDouble
  Horizontal shadow offset
y GeglParamDouble
  Vertical shadow offset
radius GeglParamDouble
color GeglParamColor
  The shadow's color (defaults to 'black')
opacity GeglParamDouble

GeglOpgaussian-blur_c

std-dev-x GeglParamDouble
  Standard deviation for the horizontal axis
std-dev-y GeglParamDouble
  Standard deviation (spatial scale factor)
filter GeglParamEnum
  How the gaussian kernel is discretized
abyss-policy GeglParamEnum
  How image edges are handled
clip-extent GParamBoolean
  Should the output extent be clipped to the input extent

GeglOpgegl_c

string GParamString
  [op [property=value] [property=value]] [[op] [property=value]
error GParamString
  There is a problem in the syntax or in the application of parsed property values. Things might mostly work nevertheless.

GeglOphigh-pass_c

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
contrast GeglParamDouble
  Contrast of high-pass

GeglOplayer_c

composite-op GParamString
  Composite operation to use
opacity GeglParamDouble
x GeglParamDouble
  Horizontal position in pixels
y GeglParamDouble
  Vertical position in pixels
scale GeglParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source image file path (png, jpg, raw, svg, bmp, tif, ...)

GeglOprectangle_c

x GeglParamDouble
  Horizontal position
y GeglParamDouble
  Vertical position
width GeglParamDouble
  Horizontal extent
height GeglParamDouble
  Vertical extent
color GeglParamColor
  Color to render

GeglOprecursive-transform_c

transform GParamString
  Transformation matrix, using SVG syntax (or multiple matrices, separated by semicolons)
first-iteration GeglParamInt
  First iteration
iterations GeglParamInt
  Number of iterations
fade-color GeglParamColor
  Color to fade transformed images towards, with a rate depending on its alpha
fade-opacity GeglParamDouble
  Amount by which to scale the opacity of each transformed image
paste-below GParamBoolean
  Paste transformed images below each other
sampler-type GeglParamEnum
  Mathematical method for reconstructing pixel values

GeglOpunsharp-mask_c

std-dev GeglParamDouble
  Expressed as standard deviation, in pixels
scale GeglParamDouble
  Scaling factor for unsharp-mask, the strength of effect
threshold GeglParamDouble

GeglOpwavelet-blur_c

radius GeglParamDouble
  Radius of the wavelet blur

GeglOpseamless-clone-compose_c

max-refine-scale GeglParamInt
  Maximal amount of refinement points to be used for the interpolation mesh
xoff GeglParamInt
  How much horizontal offset should applied to the paste
yoff GeglParamInt
  How much vertical offset should applied to the paste
error-msg GParamString
  An error message in case of a failure

GeglOperationComposer
GeglOpcast-space_c

name GParamString
  One of: sRGB, Adobish, Rec2020, ProPhoto, Apple, ACEScg, ACES2065-1
pointer GeglParamFormat
  pointer to a const * Babl space
path GeglParamFilePath
  File system path to ICC matrix profile to load

GeglOperationPointComposer
GeglOpadd_c

value GeglParamDouble
  global value used if aux doesn't contain data

GeglOpclear_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpcolor-burn_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpcolor-dodge_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdarken_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdifference_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdivide_c

value GeglParamDouble
  global value used if aux doesn't contain data

GeglOpdst-atop_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdst-in_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdst-out_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdst-over_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpdst_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpexclusion_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpgamma_c

value GeglParamDouble
  global value used if aux doesn't contain data

GeglOphard-light_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOplighten_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpmultiply_c

value GeglParamDouble
  global value used if aux doesn't contain data

GeglOpoverlay_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpplus_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpscreen_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsoft-light_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsrc-atop_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsrc-in_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsrc-out_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsrc_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpsubtract_c

value GeglParamDouble
  global value used if aux doesn't contain data

GeglOpxor_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpmix_c

ratio GeglParamDouble
  mixing ratio, read as amount of aux, 0=input 0.5=half 1.0=aux

GeglOpopacity_c

value GeglParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

GeglOpover_c

srgb GParamBoolean
  Use sRGB gamma instead of linear

GeglOpthreshold_c

value GeglParamDouble
  Scalar threshold level (overridden if an auxiliary input buffer is provided.).

GeglOpweighted-blend_c
GeglOpmatting-levin_c

epsilon GeglParamInt
  Log of the error weighting
radius GeglParamInt
  Radius of the processing window
threshold GeglParamDouble
  Alpha threshold for multilevel processing
lambda GeglParamDouble
  Trimap influence factor
levels GeglParamInt
  Number of downsampled levels to use
active-levels GeglParamInt
  Number of levels to perform solving

GeglOpimage-compare_c

wrong-pixels GeglParamInt
  Number of differing pixels.
max-diff GeglParamDouble
  Maximum difference between two pixels.
avg-diff-wrong GeglParamDouble
  Average difference between wrong pixels.
avg-diff-total GeglParamDouble
  Average difference between all pixels.

GeglOpmap-absolute_c

sampler-type GeglParamEnum
abyss-policy GeglParamEnum

GeglOpmap-relative_c

scaling GeglParamDouble
  scaling factor of displacement, indicates how large spatial displacement a relative mapping value of 1.0 corresponds to.
sampler-type GeglParamEnum
abyss-policy GeglParamEnum

GeglOpmatting-global_c

iterations GeglParamInt

GeglOpseamless-clone_c

max-refine-scale GeglParamInt
  Maximal scale of refinement points to be used for the interpolation mesh
xoff GeglParamInt
  How much horizontal offset should applied to the paste
yoff GeglParamInt
  How much horizontal offset should applied to the paste
error-msg GParamString
  An error message in case of a failure

GeglOperationSink
GeglOpppm-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout.
rawformat GParamBoolean
bitdepth GeglParamInt
  8 and 16 are the currently accepted values.

GeglOpwebp-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout
quality GeglParamInt
  WebP compression quality

GeglOpsave-pixbuf_c

pixbuf GParamPointer

GeglOpexr-save_cc

path GeglParamFilePath
  path of file to write to.
tile GeglParamInt
  tile size to use.

GeglOpsdl-display_c

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window

GeglOptiff-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout

GeglOppng-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout.
compression GeglParamInt
  PNG compression level from 1 to 9
bitdepth GeglParamInt
  8 and 16 are the currently accepted values.

GeglOprgbe-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout.

GeglOpnpy-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout

GeglOpff-save_c

path GParamString
  Target path and filename, use '-' for stdout.
audio GeglParamAudioFragment
audio-codec GParamString
  Audio codec to use, or auto to use a good default based on container format.
audio-sample-rate GeglParamInt
  -1 means autodetect on first audio fragment
audio-bit-rate GeglParamInt
  Target encoded video bitrate in kb/s
frame-rate GeglParamDouble
video-codec GParamString
  Video codec to use, or auto to use a good default based on container format.
video-bit-rate GeglParamInt
  Target encoded video bitrate in kb/s
video-bufsize GeglParamInt
container-format GParamString
  Container format to use, or auto to autodetect based on file extension.

GeglOpjpg-save_c

path GeglParamFilePath
  Target path and filename, use '-' for stdout
quality GeglParamInt
  JPEG compression quality (between 1 and 100)
smoothing GeglParamInt
  Smoothing factor from 1 to 100; 0 disables smoothing
optimize GParamBoolean
  Use optimized huffman tables
progressive GParamBoolean
  Create progressive JPEG images
grayscale GParamBoolean
  Create a grayscale (monochrome) image

GeglOpbuffer-sink_c

buffer GParamPointer
format GParamPointer

GeglOpdisplay_c

window-title GParamString
  Title to be given to output window

GeglOpgegl-buffer-save-op_c

path GeglParamFilePath
  Target file path to write GeglBuffer to.

GeglOpicc-save_c

path GeglParamFilePath
  Target path and filename

GeglOpsave_c

path GeglParamFilePath
  Path of file to save.

GeglOpwrite-buffer_c

buffer GParamObject
  A pre-existing GeglBuffer to write incoming buffer data to.

GeglOperationSource
GeglOpwebp-load_c

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load

GeglOprgbe-load_c

path GeglParamFilePath
  Path of file to load.

GeglOptext_c

string GParamString
  String to display (utf8)
font GParamString
  Font family (utf8)
size GeglParamDouble
  Font size in pixels.
color GeglParamColor
  Color for the text (defaults to 'black')
wrap GeglParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
vertical-wrap GeglParamInt
  Sets the height in pixels according to which the text is vertically justified. Use -1 for no vertical justification.
alignment GeglParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
vertical-alignment GeglParamInt
  Vertical text alignment (0=Top, 1=Middle, 2=Bottom)
width GeglParamInt
  Rendered width in pixels. (read only)
height GeglParamInt
  Rendered height in pixels. (read only)

GeglOpjpg-load_c

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI of file to load

GeglOppng-load_c

path GeglParamFilePath
  Path of file to load.
uri GeglParamUri
  URI for file to load.

GeglOpv4l_c

path GeglParamFilePath
  Path to v4l device
width GeglParamInt
  Width for rendered image
height GeglParamInt
  Height for rendered image
frame GeglParamInt
  current frame number, can be changed to trigger a reload of the image.
fps GeglParamInt
  autotrigger reload this many times a second.

GeglOpsvg-load_c

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load
width GeglParamInt
  Width for rendered image
height GeglParamInt
  Height for rendered image

GeglOpppm-load_c

path GeglParamFilePath
  Path of file to load.
uri GeglParamFilePath
  URI of image to load.

GeglOpexr-load_cpp

path GeglParamFilePath
  Path of file to load.

GeglOptiff-load_c

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load
directory GeglParamInt
  Image file directory (subfile)

GeglOppixbuf_c

pixbuf GParamObject
  GdkPixbuf to use

GeglOpgif-load_c

path GeglParamFilePath
  Path of file to load
frame GeglParamInt
  frame number to decode
frames GeglParamInt
  Number of frames in gif animation
frame-delay GeglParamInt
  Delay in ms for last decoded frame

GeglOpff-load_c

path GeglParamFilePath
  Path of video file to load
frame GeglParamInt
frames GeglParamInt
  Number of frames in video, updates at least when first frame has been decoded.
audio-sample-rate GeglParamInt
audio-channels GeglParamInt
frame-rate GeglParamDouble
  Frames per second, permits computing time vs frame
video-codec GParamString
audio-codec GParamString
audio GeglParamAudioFragment

GeglOpraw-load_c

path GeglParamFilePath
  Path of file to load.
image-num GeglParamInt
color-space GeglParamEnum
  Color space to use for loaded data
quality GeglParamInt

GeglOpbuffer-source_c

buffer GParamObject
  The GeglBuffer to load into the pipeline

GeglOperationPointRender
GeglOpcheckerboard_c

x GeglParamInt
  Horizontal width of cells pixels
y GeglParamInt
  Vertical width of cells pixels
x-offset GeglParamInt
  Horizontal offset (from origin) for start of grid
y-offset GeglParamInt
  Vertical offset (from origin) for start of grid
color1 GeglParamColor
  The first cell color
color2 GeglParamColor
  The second cell color
format GeglParamFormat
  The babl format of the output

GeglOpcolor_c

value GeglParamColor
  The color to render (defaults to 'black')
format GeglParamFormat
  The babl format of the output

GeglOpgrid_c

x GeglParamInt
  Horizontal width of cells pixels
y GeglParamInt
  Vertical width of cells pixels
x-offset GeglParamInt
  Horizontal offset (from origin) for start of grid
y-offset GeglParamInt
  Vertical offset (from origin) for start of grid
line-width GeglParamInt
  Width of grid lines in pixels
line-height GeglParamInt
  Height of grid lines in pixels
line-color GeglParamColor
  Color of the grid lines

GeglOplinear-gradient_c

start-x GeglParamDouble
start-y GeglParamDouble
end-x GeglParamDouble
end-y GeglParamDouble
start-color GeglParamColor
  The color at (x1, y1)
end-color GeglParamColor
  The color at (x2, y2)

GeglOpnoise-perlin_c

alpha GeglParamDouble
scale GeglParamDouble
zoff GeglParamDouble
n GeglParamInt

GeglOpnoise-simplex_c

scale GeglParamDouble
  The scale of the noise function
iterations GeglParamInt
  The number of noise octaves.
seed GeglParamSeed
  The random seed for the noise function

GeglOpnoise-cell_c

scale GeglParamDouble
  The scale of the noise function
shape GeglParamDouble
  Interpolate between Manhattan and Euclidean distance.
rank GeglParamInt
  Select the n-th closest point
iterations GeglParamInt
  The number of noise octaves.
palettize GParamBoolean
  Fill each cell with a random color
seed GeglParamSeed
  The random seed for the noise function

GeglOpradial-gradient_c

start-x GeglParamDouble
start-y GeglParamDouble
end-x GeglParamDouble
end-y GeglParamDouble
start-color GeglParamColor
  The color at (x1, y1)
end-color GeglParamColor
  The color at (x2, y2)

GeglOpgegl-buffer-load-op_c

path GeglParamFilePath
  Path of GeglBuffer file to load.

GeglOpintrospect_c

node GParamObject

GeglOpmagick-load_c

path GeglParamFilePath
  Path of file to load.

GeglOpopen-buffer_c

path GParamString
  a GeglBuffer on disk to open

GeglOperationComposer3
GeglOperationPointComposer3
GeglOpremap_c
JsonParser

immutable GParamBoolean
  Whether the parser output is immutable.

GeglNode

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.
use-opencl GParamBoolean
  Use the OpenCL version of this operation if available, this property is inherited by children created from a node.
passthrough GParamBoolean
  Act as a nop, passing input unmodifed through to ouput.

GeglNodeOutputVisitable
GeglTileSource
GeglTileHandler

source GParamObject
  The tilestore to be a facade for

GeglBuffer

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamObject
  A custom tile-backend instance to use

GeglCache

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer

GeglTileHandlerChain
GeglTileStorage
GeglTileHandlerCache
GeglTileHandlerEmpty
GeglTileHandlerZoom
GeglTileBackend

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format
flush-on-destroy GParamBoolean
  Cache tiles will be flushed before the backend is destroyed

GeglTileBackendRam
GeglColor

string GParamString
  A String representation of the GeglColor

GeglCurve
GeglPath
GeglAudioFragment

string GParamString
  A String representation of the GeglAudioFragment

GdkPixbuf

colorspace GParamEnum
  The colorspace in which the samples are interpreted
n-channels GParamInt
  The number of samples per pixel
has-alpha GParamBoolean
  Whether the pixbuf has an alpha channel
bits-per-sample GParamInt
  The number of bits per sample
width GParamInt
  The number of columns of the pixbuf
height GParamInt
  The number of rows of the pixbuf
rowstride GParamInt
  The number of bytes between the start of a row and the start of the next row
pixels GParamPointer
  A pointer to the pixel data of the pixbuf
pixel-bytes GParamBoxed
  Readonly pixel data

GeglPad
GeglVisitor
GeglCallbackVisitor
GeglEvalManager
GeglProcessor

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.

### GObject

GObject

#### subclasses

GeglConfig
GeglBufferConfig
GBinding
GeglModuleDB
GTypeModule
GeglOperation
JsonParser
GeglNode
GeglNodeOutputVisitable
GeglTileSource
GeglColor
GeglCurve
GeglPath
GeglAudioFragment
GdkPixbuf
GeglPad
GeglVisitor
GeglEvalManager
GeglProcessor

### GeglConfig

GObject/GeglConfig

##### Properties

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0 = full speed
tile-cache-size GParamUInt64
  size of tile cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
threads GParamInt
  Number of concurrent evaluation threads
use-opencl GParamBoolean
  Try to use OpenCL
queue-size GParamInt
  Maximum size of a file backend's writer thread queue (in bytes)
application-license GParamString
  A list of additional licenses to allow for operations

### GeglBufferConfig

GObject/GeglBufferConfig

##### Properties

tile-cache-size GParamUInt64
  size of tile cache in bytes
swap GParamString
  where gegl stores it's swap files
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
queue-size GParamInt
  Maximum size of a file backend's writer thread queue (in bytes)

### GBinding

GObject/GBinding

##### Properties

source GParamObject
  The source of the binding
target GParamObject
  The target of the binding
source-property GParamString
  The property on the source to bind
target-property GParamString
  The property on the target to bind
flags GParamFlags
  The binding flags

### GeglModuleDB

GObject/GeglModuleDB

### GTypeModule

GObject/GTypeModule

#### subclasses

GeglModule

### GeglModule

GObject/GTypeModule/GeglModule

### GeglOperation

GObject/GeglOperation

#### subclasses

GeglOperationFilter
GeglOperationMeta
GeglOperationComposer
GeglOperationSink
GeglOperationSource
GeglOperationComposer3

### GeglOperationFilter

GObject/GeglOperation/GeglOperationFilter

#### subclasses

GeglOperationPointFilter
GeglOpclone_c
GeglOpcast-format_c
GeglOpconvert-format_c
GeglOpconvert-space_c
GeglOpcrop_c
GeglOpnop_c
GeglOplcms-from-profile_c
GeglOpvector-fill_c
GeglOpnpd_c
GeglOpvector-stroke_c
GeglOppath_c
GeglOperationAreaFilter
GeglOpdither_c
GeglOpcolor-enhance_c
GeglOpcopy-buffer_c
GeglOpdistance-transform_c
GeglOpedge-neon_c
GeglOpexp-combine_c
GeglOpfattal02_c
GeglOpgblur-1d_c
GeglOplittle-planet_c
GeglOplong-shadow_c
GeglOpmantiuk06_c
GeglOpmblur_c
GeglOpmirrors_c
GeglOppanorama-projection_c
GeglOpreinhard05_c
GeglOpslic_c
GeglOpspherize_c
GeglOpstretch-contrast-hsv_c
GeglOpstretch-contrast_c
GeglOptile_c
GeglOptile-seamless_c
GeglOpwarp_c
GeglOpwaterpixels_c
GeglOpwatershed-transform_c
GeglOpPlugIn-transform-core

### GeglOperationPointFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter

#### subclasses

GeglOpcache_c
GeglOpabsolute_c
GeglOpalien-map_c
GeglOpbrightness-contrast_c
GeglOpcolor-overlay_c
GeglOpcolor-rotate_c
GeglOpcolor-temperature_c
GeglOpcolor-warp_c
GeglOpcomponent-extract_c
GeglOpcontrast-curve_c
GeglOpexposure_c
GeglOpgrey_c
GeglOphue-chroma_c
GeglOpinvert-gamma_c
GeglOpinvert-linear_c
GeglOplevels_c
GeglOpmono-mixer_c
GeglOpnewsprint_c
GeglOpnoise-cie-lch_c
GeglOpnoise-hsv_c
GeglOpnoise-hurl_c
GeglOpnoise-rgb_c
GeglOpposterize_c
GeglOprgb-clip_c
GeglOpsaturation_c
GeglOpsepia_c
GeglOpsvg-huerotate_c
GeglOpsvg-luminancetoalpha_c
GeglOpsvg-matrix_c
GeglOpsvg-saturate_c
GeglOpunpremultiply_c
GeglOpvalue-invert_c
GeglOpvignette_c

### GeglOpcache_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcache_c

##### Properties

cache GParamObject
  NULL or a GeglBuffer containing cached rendering results, this is a special buffer where gegl_buffer_list_valid_rectangles returns the part of the cache that is valid.

### GeglOpabsolute_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpabsolute_c

### GeglOpalien-map_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpalien-map_c

##### Properties

color-model GeglParamEnum
  What color model used for the transformation
cpn-1-frequency GeglParamDouble
cpn-2-frequency GeglParamDouble
cpn-3-frequency GeglParamDouble
cpn-1-phaseshift GeglParamDouble
cpn-2-phaseshift GeglParamDouble
cpn-3-phaseshift GeglParamDouble
cpn-1-keep GParamBoolean
cpn-2-keep GParamBoolean
cpn-3-keep GParamBoolean

### GeglOpbrightness-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpbrightness-contrast_c

##### Properties

contrast GeglParamDouble
  Magnitude of contrast scaling >1.0 brighten < 1.0 darken
brightness GeglParamDouble
  Amount to increase brightness

### GeglOpcolor-overlay_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcolor-overlay_c

##### Properties

value GeglParamColor
  The color to paint over the input
srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpcolor-rotate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcolor-rotate_c

##### Properties

src-clockwise GParamBoolean
  Switch to clockwise
src-from GeglParamDouble
  Start angle of the source color range
src-to GeglParamDouble
  End angle of the source color range
dest-clockwise GParamBoolean
  Switch to clockwise
dest-from GeglParamDouble
  Start angle of the destination color range
dest-to GeglParamDouble
  End angle of the destination color range
threshold GeglParamDouble
  Colors with a saturation less than this will treated as gray
gray-mode GeglParamEnum
  Treat as this: Gray colors from above source range will be treated as if they had this hue and saturation Change to this: Change gray colors to this hue and saturation
hue GeglParamDouble
  Hue value for above gray settings
saturation GeglParamDouble
  Saturation value for above gray settings

### GeglOpcolor-temperature_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcolor-temperature_c

##### Properties

original-temperature GeglParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GeglParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

### GeglOpcolor-warp_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcolor-warp_c

##### Properties

from-0 GeglParamColor
to-0 GeglParamColor
weight-0 GeglParamDouble
from-1 GeglParamColor
to-1 GeglParamColor
weight-1 GeglParamDouble
from-2 GeglParamColor
to-2 GeglParamColor
weight-2 GeglParamDouble
from-3 GeglParamColor
to-3 GeglParamColor
weight-3 GeglParamDouble
from-4 GeglParamColor
to-4 GeglParamColor
weight-4 GeglParamDouble
from-5 GeglParamColor
to-5 GeglParamColor
weight-5 GeglParamDouble
from-6 GeglParamColor
to-6 GeglParamColor
weight-6 GeglParamDouble
from-7 GeglParamColor
to-7 GeglParamColor
weight-7 GeglParamDouble
weight GeglParamDouble
amount GeglParamDouble

### GeglOpcomponent-extract_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcomponent-extract_c

##### Properties

component GeglParamEnum
  Component to extract
invert GParamBoolean
  Invert the extracted component
linear GParamBoolean
  Use linear output instead of gamma corrected

### GeglOpcontrast-curve_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpcontrast-curve_c

##### Properties

sampling-points GeglParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

### GeglOpexposure_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpexposure_c

##### Properties

black-level GeglParamDouble
  Adjust the black level
exposure GeglParamDouble
  Relative brightness change in stops

### GeglOpgrey_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpgrey_c

### GeglOphue-chroma_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOphue-chroma_c

##### Properties

hue GeglParamDouble
  Hue adjustment
chroma GeglParamDouble
  Chroma adjustment
lightness GeglParamDouble
  Lightness adjustment

### GeglOpinvert-gamma_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpinvert-gamma_c

### GeglOpinvert-linear_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpinvert-linear_c

### GeglOplevels_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOplevels_c

##### Properties

in-low GeglParamDouble
  Input luminance level to become lowest output
in-high GeglParamDouble
  Input luminance level to become white
out-low GeglParamDouble
  Lowest luminance level in output
out-high GeglParamDouble
  Highest luminance level in output

### GeglOpmono-mixer_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpmono-mixer_c

##### Properties

preserve-luminosity GParamBoolean
red GeglParamDouble
green GeglParamDouble
blue GeglParamDouble

### GeglOpnewsprint_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpnewsprint_c

##### Properties

color-model GeglParamEnum
  How many inks to use just black, rg, rgb (additive), or cmyk
pattern GeglParamEnum
  Halftoning/dot pattern to use
period GeglParamDouble
  The number of pixels across one repetition of a base pattern at base resolution.
turbulence GeglParamDouble
  Color saturation dependent compression of period
blocksize GeglParamDouble
  Number of periods per tile, this tiling avoids high frequency anomaly that angle boost causes
angleboost GeglParamDouble
  Multiplication factor for desired rotation of the local space for texture, the way this is computed makes it weak for desaturated colors and possibly stronger where there is color.
twist GeglParamDouble
  angle offset for patterns
twist2 GeglParamDouble
twist3 GeglParamDouble
twist4 GeglParamDouble

### GeglOpnoise-cie-lch_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpnoise-cie-lch_c

##### Properties

holdness GeglParamInt
  A high value lowers the randomness of the noise
lightness-distance GeglParamDouble
chroma-distance GeglParamDouble
hue-distance GeglParamDouble
seed GeglParamSeed

### GeglOpnoise-hsv_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpnoise-hsv_c

##### Properties

holdness GeglParamInt
  A high value lowers the randomness of the noise
hue-distance GeglParamDouble
saturation-distance GeglParamDouble
value-distance GeglParamDouble
seed GeglParamSeed

### GeglOpnoise-hurl_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpnoise-hurl_c

##### Properties

pct-random GeglParamDouble
repeat GeglParamInt
seed GeglParamSeed

### GeglOpnoise-rgb_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpnoise-rgb_c

##### Properties

correlated GParamBoolean
independent GParamBoolean
  Control amount of noise for each RGB channel separately
linear GParamBoolean
  Operate on linearized RGB color data
gaussian GParamBoolean
  Use a gaussian noise distribution, when unticked a linear noise distribution is used instead
red GeglParamDouble
green GeglParamDouble
blue GeglParamDouble
alpha GeglParamDouble
seed GeglParamSeed

### GeglOpposterize_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpposterize_c

##### Properties

levels GeglParamInt
  number of levels per component

### GeglOprgb-clip_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOprgb-clip_c

##### Properties

clip-low GParamBoolean
  Clip low pixel values
low-limit GeglParamDouble
  Pixels values lower than this limit will be set to it
clip-high GParamBoolean
  Clip high pixel values
high-limit GeglParamDouble
  Pixels values higher than this limit will be set to it

### GeglOpsaturation_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsaturation_c

##### Properties

scale GeglParamDouble
  Scale, strength of effect

### GeglOpsepia_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsepia_c

##### Properties

scale GeglParamDouble
  Strength of the sepia effect
srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsvg-huerotate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsvg-huerotate_c

##### Properties

values GParamString
  list of <number>s

### GeglOpsvg-luminancetoalpha_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsvg-luminancetoalpha_c

### GeglOpsvg-matrix_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsvg-matrix_c

##### Properties

values GParamString
  list of <number>s

### GeglOpsvg-saturate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpsvg-saturate_c

##### Properties

values GParamString
  list of <number>s

### GeglOpunpremultiply_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpunpremultiply_c

### GeglOpvalue-invert_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpvalue-invert_c

### GeglOpvignette_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglOpvignette_c

##### Properties

shape GeglParamEnum
color GeglParamColor
  Defaults to 'black', you can use transparency here to erase portions of an image
radius GeglParamDouble
  How far out vignetting goes as portion of half image diagonal
softness GeglParamDouble
gamma GeglParamDouble
  Falloff linearity
proportion GeglParamDouble
  How close we are to image proportions
squeeze GeglParamDouble
  Aspect ratio to use, -0.5 = 1:2, 0.0 = 1:1, 0.5 = 2:1, -1.0 = 1:inf 1.0 = inf:1, this is applied after proportion is taken into account, to directly use squeeze factor as proportions, set proportion to 0.0.
x GeglParamDouble
y GeglParamDouble
rotation GeglParamDouble

### GeglOpclone_c

GObject/GeglOperation/GeglOperationFilter/GeglOpclone_c

##### Properties

ref GParamString
  The reference ID used as input (for use in XML).

### GeglOpcast-format_c

GObject/GeglOperation/GeglOperationFilter/GeglOpcast-format_c

##### Properties

input-format GeglParamFormat
  The babl format of the input
output-format GeglParamFormat
  The babl format of the output

### GeglOpconvert-format_c

GObject/GeglOperation/GeglOperationFilter/GeglOpconvert-format_c

##### Properties

format GeglParamFormat
  The babl format of the output

### GeglOpconvert-space_c

GObject/GeglOperation/GeglOperationFilter/GeglOpconvert-space_c

##### Properties

name GParamString
  One of: sRGB, Adobish, Rec2020, ProPhoto, Apple, ACEScg, ACES2065-1
pointer GeglParamFormat
  pointer to a const * Babl space
path GeglParamFilePath
  File system path to ICC matrix profile to load

### GeglOpcrop_c

GObject/GeglOperation/GeglOperationFilter/GeglOpcrop_c

##### Properties

x GeglParamDouble
y GeglParamDouble
width GeglParamDouble
height GeglParamDouble
reset-origin GParamBoolean

### GeglOpnop_c

GObject/GeglOperation/GeglOperationFilter/GeglOpnop_c

### GeglOplcms-from-profile_c

GObject/GeglOperation/GeglOperationFilter/GeglOplcms-from-profile_c

##### Properties

src-profile GParamPointer
intent GeglParamEnum
  The rendering intent to use in the conversion.
black-point-compensation GParamBoolean
  Convert using black point compensation.

### GeglOpvector-fill_c

GObject/GeglOperation/GeglOperationFilter/GeglOpvector-fill_c

##### Properties

color GeglParamColor
  Color of paint to use for filling.
opacity GeglParamDouble
  The fill opacity to use.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd)
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

### GeglOpnpd_c

GObject/GeglOperation/GeglOperationFilter/GeglOpnpd_c

##### Properties

model GParamPointer
  Model - basic element we operate on
square-size GeglParamInt
  Size of an edge of square the mesh consists of
rigidity GeglParamInt
  The number of deformation iterations
asap-deformation GParamBoolean
  ASAP deformation is performed when TRUE, ARAP deformation otherwise
mls-weights GParamBoolean
  Use MLS weights
mls-weights-alpha GeglParamDouble
  Alpha parameter of MLS weights
preserve-model GParamBoolean
  When TRUE the model will not be freed
sampler-type GeglParamEnum
  Sampler used internally

### GeglOpvector-stroke_c

GObject/GeglOperation/GeglOperationFilter/GeglOpvector-stroke_c

##### Properties

color GeglParamColor
  Color of paint to use for stroking.
width GeglParamDouble
  The width of the brush used to stroke the path.
opacity GeglParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

### GeglOppath_c

GObject/GeglOperation/GeglOperationFilter/GeglOppath_c

##### Properties

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling
stroke GeglParamColor
  Color of paint to use for stroking
stroke-width GeglParamDouble
  The width of the brush used to stroke the path
stroke-opacity GeglParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool
stroke-hardness GeglParamDouble
  Hardness of the brush, 0.0 for a soft brush, 1.0 for a hard brush
fill-rule GParamString
  How to determine what to fill (nonzero|evenodd)
transform GParamString
  SVG style description of transform
fill-opacity GeglParamDouble
  The fill opacity to use
d GeglParamPath
  A GeglVector representing the path of the stroke

### GeglOperationAreaFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter

#### subclasses

GeglOpbilateral-filter_c
GeglOpbox-blur_c
GeglOpc2g_c
GeglOpconvolution-matrix_c
GeglOpedge-sobel_c
GeglOpimage-gradient_c
GeglOpmean-curvature-blur_c
GeglOpmedian-blur_c
GeglOpmotion-blur-linear_c
GeglOpnoise-pick_c
GeglOpnoise-reduction_c
GeglOpnoise-spread_c
GeglOppixelize_c
GeglOpsnn-mean_c
GeglOpstress_c
GeglOpwavelet-blur-1d_c

### GeglOpbilateral-filter_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpbilateral-filter_c

##### Properties

blur-radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GeglParamDouble
  Amount of edge preservation

### GeglOpbox-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpbox-blur_c

##### Properties

radius GeglParamInt
  Radius of square pixel region, (width and height will be radius*2+1)

### GeglOpc2g_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpc2g_c

##### Properties

radius GeglParamInt
  Neighborhood taken into account, this is the radius in pixels taken into account when deciding which colors map to which gray values
samples GeglParamInt
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamInt
  Number of iterations, a higher number of iterations provides less noisy results at a computational cost
enhance-shadows GParamBoolean
  When enabled details in shadows are boosted at the expense of noise

### GeglOpconvolution-matrix_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpconvolution-matrix_c

##### Properties

a1 GeglParamDouble
a2 GeglParamDouble
a3 GeglParamDouble
a4 GeglParamDouble
a5 GeglParamDouble
b1 GeglParamDouble
b2 GeglParamDouble
b3 GeglParamDouble
b4 GeglParamDouble
b5 GeglParamDouble
c1 GeglParamDouble
c2 GeglParamDouble
c3 GeglParamDouble
c4 GeglParamDouble
c5 GeglParamDouble
d1 GeglParamDouble
d2 GeglParamDouble
d3 GeglParamDouble
d4 GeglParamDouble
d5 GeglParamDouble
e1 GeglParamDouble
e2 GeglParamDouble
e3 GeglParamDouble
e4 GeglParamDouble
e5 GeglParamDouble
divisor GeglParamDouble
offset GeglParamDouble
red GParamBoolean
green GParamBoolean
blue GParamBoolean
alpha GParamBoolean
normalize GParamBoolean
alpha-weight GParamBoolean
border GeglParamEnum

### GeglOpedge-sobel_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpedge-sobel_c

##### Properties

horizontal GParamBoolean
vertical GParamBoolean
keep-sign GParamBoolean
  Keep negative values in result; when off, the absolute value of the result is used instead.

### GeglOpimage-gradient_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpimage-gradient_c

##### Properties

output-mode GeglParamEnum
  Output Mode

### GeglOpmean-curvature-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpmean-curvature-blur_c

##### Properties

iterations GeglParamInt
  Controls the number of iterations

### GeglOpmedian-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpmedian-blur_c

##### Properties

neighborhood GeglParamEnum
  Neighborhood type
radius GeglParamInt
  Neighborhood radius
percentile GeglParamDouble
  Neighborhood color percentile
alpha-percentile GeglParamDouble
  Neighborhood alpha percentile
abyss-policy GeglParamEnum
  How image edges are handled
high-precision GParamBoolean
  Avoid clipping and quantization (slower)

### GeglOpmotion-blur-linear_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpmotion-blur-linear_c

##### Properties

length GeglParamDouble
  Length of blur in pixels
angle GeglParamDouble
  Angle of blur in degrees

### GeglOpnoise-pick_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpnoise-pick_c

##### Properties

pct-random GeglParamDouble
repeat GeglParamInt
seed GeglParamSeed

### GeglOpnoise-reduction_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpnoise-reduction_c

##### Properties

iterations GeglParamInt
  Controls the number of iterations; lower values give less plastic results

### GeglOpnoise-spread_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpnoise-spread_c

##### Properties

amount-x GeglParamInt
  Horizontal spread amount
amount-y GeglParamInt
  Vertical spread amount
seed GeglParamSeed

### GeglOppixelize_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOppixelize_c

##### Properties

norm GeglParamEnum
  The shape of pixels
size-x GeglParamInt
  Width of blocks in pixels
size-y GeglParamInt
  Height of blocks in pixels
ratio-x GeglParamDouble
  Horizontal size ratio of a pixel inside each block
ratio-y GeglParamDouble
  Vertical size ratio of a pixel inside each block
background GeglParamColor
  Color used to fill the background

### GeglOpsnn-mean_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpsnn-mean_c

##### Properties

radius GeglParamInt
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GeglParamInt
  Number of pairs; higher number preserves more acute features

### GeglOpstress_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpstress_c

##### Properties

radius GeglParamInt
  Neighborhood taken into account, for enhancement ideal values are close to the longest side of the image, increasing this increases the runtime
samples GeglParamInt
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamInt
  Number of iterations, a higher number of iterations provides a less noisy rendering at a computational cost
enhance-shadows GParamBoolean
  When enabled also enhances shadow regions - when disabled a more natural result is yielded

### GeglOpwavelet-blur-1d_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglOpwavelet-blur-1d_c

##### Properties

radius GeglParamDouble
  Radius of the wavelet blur
orientation GeglParamEnum
  The orientation of the blur - hor/ver

### GeglOpdither_c

GObject/GeglOperation/GeglOperationFilter/GeglOpdither_c

##### Properties

red-levels GeglParamInt
  Number of levels for red channel
green-levels GeglParamInt
  Number of levels for green channel
blue-levels GeglParamInt
  Number of levels for blue channel
alpha-levels GeglParamInt
  Number of levels for alpha channel
dither-method GeglParamEnum
  The dithering method to use
seed GeglParamSeed

### GeglOpcolor-enhance_c

GObject/GeglOperation/GeglOperationFilter/GeglOpcolor-enhance_c

### GeglOpcopy-buffer_c

GObject/GeglOperation/GeglOperationFilter/GeglOpcopy-buffer_c

##### Properties

buffer GParamObject
  An already existing GeglBuffer to write incoming buffer data to, or NULL.

### GeglOpdistance-transform_c

GObject/GeglOperation/GeglOperationFilter/GeglOpdistance-transform_c

##### Properties

metric GeglParamEnum
  Metric to use for the distance calculation
threshold-lo GeglParamDouble
threshold-hi GeglParamDouble
averaging GeglParamInt
  Number of computations for grayscale averaging
normalize GParamBoolean
  Normalize output to range 0.0 to 1.0.

### GeglOpedge-neon_c

GObject/GeglOperation/GeglOperationFilter/GeglOpedge-neon_c

##### Properties

radius GeglParamDouble
  Radius of effect (in pixels)
amount GeglParamDouble
  Strength of Effect

### GeglOpexp-combine_c

GObject/GeglOperation/GeglOperationFilter/GeglOpexp-combine_c

##### Properties

exposures GParamString
  Relative brightness of each exposure in EV
steps GeglParamInt
  Log2 of source's discretization steps
sigma GeglParamDouble
  Weight distribution sigma controlling response contributions

### GeglOpfattal02_c

GObject/GeglOperation/GeglOperationFilter/GeglOpfattal02_c

##### Properties

alpha GeglParamDouble
  Gradient threshold for detail enhancement
beta GeglParamDouble
  Strength of local detail enhancement
saturation GeglParamDouble
  Global color saturation factor
noise GeglParamDouble
  Gradient threshold for lowering detail enhancement

### GeglOpgblur-1d_c

GObject/GeglOperation/GeglOperationFilter/GeglOpgblur-1d_c

##### Properties

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
orientation GeglParamEnum
  The orientation of the blur - hor/ver
filter GeglParamEnum
  How the gaussian kernel is discretized
abyss-policy GeglParamEnum
  How image edges are handled
clip-extent GParamBoolean
  Should the output extent be clipped to the input extent

### GeglOplittle-planet_c

GObject/GeglOperation/GeglOperationFilter/GeglOplittle-planet_c

##### Properties

pan GeglParamDouble
  Horizontal camera panning
tilt GeglParamDouble
  Vertical camera panning
spin GeglParamDouble
  Spin angle around camera axis
zoom GeglParamDouble
  Zoom level
width GeglParamInt
  output/rendering width in pixels, -1 for input width
height GeglParamInt
  output/rendering height in pixels, -1 for input height
inverse GParamBoolean
  Do the inverse mapping, useful for touching up zenith, nadir or other parts of panorama.
sampler-type GeglParamEnum
  Image resampling method to use, for good results with double resampling when retouching panoramas, use nearest to generate the view and cubic or better for the inverse transform back to panorama.

### GeglOplong-shadow_c

GObject/GeglOperation/GeglOperationFilter/GeglOplong-shadow_c

##### Properties

style GeglParamEnum
  Shadow style
angle GeglParamDouble
  Shadow angle
length GeglParamDouble
  Shadow length
midpoint GeglParamDouble
  Shadow fade midpoint
midpoint-rel GeglParamDouble
  Shadow fade midpoint, as a factor of the shadow length
color GeglParamColor
  Shadow color
composition GeglParamEnum
  Output composition

### GeglOpmantiuk06_c

GObject/GeglOperation/GeglOperationFilter/GeglOpmantiuk06_c

##### Properties

contrast GeglParamDouble
  The amount of contrast compression
saturation GeglParamDouble
  Global color saturation factor
detail GeglParamDouble
  Level of emphasis on image gradient details

### GeglOpmblur_c

GObject/GeglOperation/GeglOperationFilter/GeglOpmblur_c

##### Properties

dampness GeglParamDouble
  The value represents the contribution of the past to the new frame.

### GeglOpmirrors_c

GObject/GeglOperation/GeglOperationFilter/GeglOpmirrors_c

##### Properties

m-angle GeglParamDouble
  Rotation applied to the mirrors
r-angle GeglParamDouble
  Rotation applied to the result
n-segs GeglParamInt
  Number of mirrors to use
c-x GeglParamDouble
  position of symmetry center in output
c-y GeglParamDouble
  position of symmetry center in output
o-x GeglParamDouble
  X axis ratio for the center of mirroring
o-y GeglParamDouble
  Y axis ratio for the center of mirroring
trim-x GeglParamDouble
  X axis ratio for trimming mirror expanse
trim-y GeglParamDouble
  Y axis ratio for trimming mirror expanse
input-scale GeglParamDouble
  Scale factor to make rendering size bigger
output-scale GeglParamDouble
  Scale factor to make rendering size bigger
clip GParamBoolean
warp GParamBoolean
  Fill full output area

### GeglOppanorama-projection_c

GObject/GeglOperation/GeglOperationFilter/GeglOppanorama-projection_c

##### Properties

pan GeglParamDouble
  Horizontal camera panning
tilt GeglParamDouble
  Vertical camera panning
spin GeglParamDouble
  Spin angle around camera axis
zoom GeglParamDouble
  Zoom level
width GeglParamInt
  output/rendering width in pixels, -1 for input width
height GeglParamInt
  output/rendering height in pixels, -1 for input height
inverse GParamBoolean
  Do the inverse mapping, useful for touching up zenith, nadir or other parts of panorama.
sampler-type GeglParamEnum
  Image resampling method to use, for good results with double resampling when retouching panoramas, use nearest to generate the view and cubic or better for the inverse transform back to panorama.

### GeglOpreinhard05_c

GObject/GeglOperation/GeglOperationFilter/GeglOpreinhard05_c

##### Properties

brightness GeglParamDouble
  Overall brightness of the image
chromatic GeglParamDouble
  Adaptation to color variation across the image
light GeglParamDouble
  Adaptation to light variation across the image

### GeglOpslic_c

GObject/GeglOperation/GeglOperationFilter/GeglOpslic_c

##### Properties

cluster-size GeglParamInt
  Size of a region side
compactness GeglParamInt
  Cluster size
iterations GeglParamInt
  Number of iterations

### GeglOpspherize_c

GObject/GeglOperation/GeglOperationFilter/GeglOpspherize_c

##### Properties

mode GeglParamEnum
  Displacement mode
angle-of-view GeglParamDouble
  Camera angle of view
curvature GeglParamDouble
  Spherical cap apex angle, as a fraction of the co-angle of view
amount GeglParamDouble
  Displacement scaling factor (negative values refer to the inverse displacement)
sampler-type GeglParamEnum
  Mathematical method for reconstructing pixel values

### GeglOpstretch-contrast-hsv_c

GObject/GeglOperation/GeglOperationFilter/GeglOpstretch-contrast-hsv_c

### GeglOpstretch-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglOpstretch-contrast_c

##### Properties

keep-colors GParamBoolean
  Impact each channel with the same amount
perceptual GParamBoolean
  When set operate on gamma corrected values instead of linear RGB - acting like the old normalize filter in GIMP

### GeglOptile_c

GObject/GeglOperation/GeglOperationFilter/GeglOptile_c

##### Properties

offset-x GeglParamInt
offset-y GeglParamInt

### GeglOptile-seamless_c

GObject/GeglOperation/GeglOperationFilter/GeglOptile-seamless_c

### GeglOpwarp_c

GObject/GeglOperation/GeglOperationFilter/GeglOpwarp_c

##### Properties

strength GeglParamDouble
size GeglParamDouble
hardness GeglParamDouble
spacing GeglParamDouble
stroke GeglParamPath
behavior GeglParamEnum
  Behavior of the op

### GeglOpwaterpixels_c

GObject/GeglOperation/GeglOperationFilter/GeglOpwaterpixels_c

##### Properties

size GeglParamInt
smoothness GeglParamDouble
regularization GeglParamInt
  trade-off between superpixel regularity and adherence to object boundaries
fill GeglParamEnum
  How to fill superpixels

### GeglOpwatershed-transform_c

GObject/GeglOperation/GeglOperationFilter/GeglOpwatershed-transform_c

### GeglOpPlugIn-transform-core

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core

##### Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

#### subclasses

GeglOpPlugIn-scale-core
GeglOprotate_c
GeglOpreflect_c
GeglOpshear_c
GeglOptranslate_c
GeglOptransform_c
GeglOprotate-on-center_c

### GeglOpPlugIn-scale-core

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpPlugIn-scale-core

##### Properties

abyss-policy GParamEnum
  How image edges are handled

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

#### subclasses

GeglOpscale-ratio_c
GeglOpscale-size_c
GeglOpscale-size-keepaspect_c

### GeglOpscale-ratio_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpPlugIn-scale-core/GeglOpscale-ratio_c

##### Properties

x GeglParamDouble
  Horizontal scale factor
y GeglParamDouble
  Vertical scale factor

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally
abyss-policy GParamEnum
  How image edges are handled

### GeglOpscale-size_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpPlugIn-scale-core/GeglOpscale-size_c

##### Properties

x GeglParamDouble
  Horizontal size
y GeglParamDouble
  Vertical size

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally
abyss-policy GParamEnum
  How image edges are handled

### GeglOpscale-size-keepaspect_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpPlugIn-scale-core/GeglOpscale-size-keepaspect_c

##### Properties

x GeglParamDouble
  Horizontal size
y GeglParamDouble
  Vertical size

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally
abyss-policy GParamEnum
  How image edges are handled

### GeglOprotate_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOprotate_c

##### Properties

degrees GeglParamDouble
  Angle to rotate (counter-clockwise)

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOpreflect_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpreflect_c

##### Properties

x GeglParamDouble
  Direction vector's X component
y GeglParamDouble
  Direction vector's Y component

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOpshear_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOpshear_c

##### Properties

x GeglParamDouble
  Horizontal shear amount
y GeglParamDouble
  Vertical shear amount

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOptranslate_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOptranslate_c

##### Properties

x GeglParamDouble
  Horizontal translation
y GeglParamDouble
  Vertical translation

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOptransform_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOptransform_c

##### Properties

transform GParamString
  Transformation SVG syntax transformation string

##### Inherited Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOprotate-on-center_c

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-transform-core/GeglOprotate-on-center_c

##### Properties

degrees GeglParamDouble
  Angle to rotate (counter-clockwise)
origin-x GeglParamDouble
  Ignored. Always uses center of input buffer
origin-y GeglParamDouble
  Ignored. Always uses center of input buffer

##### Inherited Properties

near-z GParamDouble
  Z coordinate of the near clipping plane
sampler GParamEnum
  Sampler used internally

### GeglOperationMeta

GObject/GeglOperation/GeglOperationMeta

#### subclasses

GeglOpload_c
gegl_json_grey2
gegl_json_dropshadow2
GeglOpdifference-of-gaussians_c
GeglOpdropshadow_c
GeglOpgaussian-blur_c
GeglOpgegl_c
GeglOphigh-pass_c
GeglOplayer_c
GeglOprectangle_c
GeglOprecursive-transform_c
GeglOpunsharp-mask_c
GeglOpwavelet-blur_c
GeglOpseamless-clone-compose_c

### GeglOpload_c

GObject/GeglOperation/GeglOperationMeta/GeglOpload_c

##### Properties

path GeglParamFilePath
  Path of file to load.
uri GeglParamUri
  URI of file to load.

### gegl_json_grey2

GObject/GeglOperation/GeglOperationMeta/gegl_json_grey2

##### Properties

height GParamDouble
width GParamDouble

### gegl_json_dropshadow2

GObject/GeglOperation/GeglOperationMeta/gegl_json_dropshadow2

##### Properties

x GParamDouble
  Horizontal translation
y GParamDouble
  Vertical translation
color GeglParamColor
  The color to render (defaults to 'black')
radius GParamDouble
  Standard deviation for the horizontal axis
opacity GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

### GeglOpdifference-of-gaussians_c

GObject/GeglOperation/GeglOperationMeta/GeglOpdifference-of-gaussians_c

##### Properties

radius1 GeglParamDouble
radius2 GeglParamDouble

### GeglOpdropshadow_c

GObject/GeglOperation/GeglOperationMeta/GeglOpdropshadow_c

##### Properties

x GeglParamDouble
  Horizontal shadow offset
y GeglParamDouble
  Vertical shadow offset
radius GeglParamDouble
color GeglParamColor
  The shadow's color (defaults to 'black')
opacity GeglParamDouble

### GeglOpgaussian-blur_c

GObject/GeglOperation/GeglOperationMeta/GeglOpgaussian-blur_c

##### Properties

std-dev-x GeglParamDouble
  Standard deviation for the horizontal axis
std-dev-y GeglParamDouble
  Standard deviation (spatial scale factor)
filter GeglParamEnum
  How the gaussian kernel is discretized
abyss-policy GeglParamEnum
  How image edges are handled
clip-extent GParamBoolean
  Should the output extent be clipped to the input extent

### GeglOpgegl_c

GObject/GeglOperation/GeglOperationMeta/GeglOpgegl_c

##### Properties

string GParamString
  [op [property=value] [property=value]] [[op] [property=value]
error GParamString
  There is a problem in the syntax or in the application of parsed property values. Things might mostly work nevertheless.

### GeglOphigh-pass_c

GObject/GeglOperation/GeglOperationMeta/GeglOphigh-pass_c

##### Properties

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
contrast GeglParamDouble
  Contrast of high-pass

### GeglOplayer_c

GObject/GeglOperation/GeglOperationMeta/GeglOplayer_c

##### Properties

composite-op GParamString
  Composite operation to use
opacity GeglParamDouble
x GeglParamDouble
  Horizontal position in pixels
y GeglParamDouble
  Vertical position in pixels
scale GeglParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source image file path (png, jpg, raw, svg, bmp, tif, ...)

### GeglOprectangle_c

GObject/GeglOperation/GeglOperationMeta/GeglOprectangle_c

##### Properties

x GeglParamDouble
  Horizontal position
y GeglParamDouble
  Vertical position
width GeglParamDouble
  Horizontal extent
height GeglParamDouble
  Vertical extent
color GeglParamColor
  Color to render

### GeglOprecursive-transform_c

GObject/GeglOperation/GeglOperationMeta/GeglOprecursive-transform_c

##### Properties

transform GParamString
  Transformation matrix, using SVG syntax (or multiple matrices, separated by semicolons)
first-iteration GeglParamInt
  First iteration
iterations GeglParamInt
  Number of iterations
fade-color GeglParamColor
  Color to fade transformed images towards, with a rate depending on its alpha
fade-opacity GeglParamDouble
  Amount by which to scale the opacity of each transformed image
paste-below GParamBoolean
  Paste transformed images below each other
sampler-type GeglParamEnum
  Mathematical method for reconstructing pixel values

### GeglOpunsharp-mask_c

GObject/GeglOperation/GeglOperationMeta/GeglOpunsharp-mask_c

##### Properties

std-dev GeglParamDouble
  Expressed as standard deviation, in pixels
scale GeglParamDouble
  Scaling factor for unsharp-mask, the strength of effect
threshold GeglParamDouble

### GeglOpwavelet-blur_c

GObject/GeglOperation/GeglOperationMeta/GeglOpwavelet-blur_c

##### Properties

radius GeglParamDouble
  Radius of the wavelet blur

### GeglOpseamless-clone-compose_c

GObject/GeglOperation/GeglOperationMeta/GeglOpseamless-clone-compose_c

##### Properties

max-refine-scale GeglParamInt
  Maximal amount of refinement points to be used for the interpolation mesh
xoff GeglParamInt
  How much horizontal offset should applied to the paste
yoff GeglParamInt
  How much vertical offset should applied to the paste
error-msg GParamString
  An error message in case of a failure

### GeglOperationComposer

GObject/GeglOperation/GeglOperationComposer

#### subclasses

GeglOpcast-space_c
GeglOperationPointComposer
GeglOpmatting-levin_c
GeglOpimage-compare_c
GeglOpmap-absolute_c
GeglOpmap-relative_c
GeglOpmatting-global_c
GeglOpseamless-clone_c

### GeglOpcast-space_c

GObject/GeglOperation/GeglOperationComposer/GeglOpcast-space_c

##### Properties

name GParamString
  One of: sRGB, Adobish, Rec2020, ProPhoto, Apple, ACEScg, ACES2065-1
pointer GeglParamFormat
  pointer to a const * Babl space
path GeglParamFilePath
  File system path to ICC matrix profile to load

### GeglOperationPointComposer

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer

#### subclasses

GeglOpadd_c
GeglOpclear_c
GeglOpcolor-burn_c
GeglOpcolor-dodge_c
GeglOpdarken_c
GeglOpdifference_c
GeglOpdivide_c
GeglOpdst-atop_c
GeglOpdst-in_c
GeglOpdst-out_c
GeglOpdst-over_c
GeglOpdst_c
GeglOpexclusion_c
GeglOpgamma_c
GeglOphard-light_c
GeglOplighten_c
GeglOpmultiply_c
GeglOpoverlay_c
GeglOpplus_c
GeglOpscreen_c
GeglOpsoft-light_c
GeglOpsrc-atop_c
GeglOpsrc-in_c
GeglOpsrc-out_c
GeglOpsrc_c
GeglOpsubtract_c
GeglOpxor_c
GeglOpmix_c
GeglOpopacity_c
GeglOpover_c
GeglOpthreshold_c
GeglOpweighted-blend_c

### GeglOpadd_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpadd_c

##### Properties

value GeglParamDouble
  global value used if aux doesn't contain data

### GeglOpclear_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpclear_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpcolor-burn_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpcolor-burn_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpcolor-dodge_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpcolor-dodge_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdarken_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdarken_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdifference_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdifference_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdivide_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdivide_c

##### Properties

value GeglParamDouble
  global value used if aux doesn't contain data

### GeglOpdst-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdst-atop_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdst-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdst-in_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdst-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdst-out_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdst-over_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdst-over_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpdst_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpdst_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpexclusion_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpexclusion_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpgamma_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpgamma_c

##### Properties

value GeglParamDouble
  global value used if aux doesn't contain data

### GeglOphard-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOphard-light_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOplighten_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOplighten_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpmultiply_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpmultiply_c

##### Properties

value GeglParamDouble
  global value used if aux doesn't contain data

### GeglOpoverlay_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpoverlay_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpplus_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpplus_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpscreen_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpscreen_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsoft-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsoft-light_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsrc-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsrc-atop_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsrc-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsrc-in_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsrc-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsrc-out_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsrc_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsrc_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpsubtract_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpsubtract_c

##### Properties

value GeglParamDouble
  global value used if aux doesn't contain data

### GeglOpxor_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpxor_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpmix_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpmix_c

##### Properties

ratio GeglParamDouble
  mixing ratio, read as amount of aux, 0=input 0.5=half 1.0=aux

### GeglOpopacity_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpopacity_c

##### Properties

value GeglParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

### GeglOpover_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpover_c

##### Properties

srgb GParamBoolean
  Use sRGB gamma instead of linear

### GeglOpthreshold_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpthreshold_c

##### Properties

value GeglParamDouble
  Scalar threshold level (overridden if an auxiliary input buffer is provided.).

### GeglOpweighted-blend_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglOpweighted-blend_c

### GeglOpmatting-levin_c

GObject/GeglOperation/GeglOperationComposer/GeglOpmatting-levin_c

##### Properties

epsilon GeglParamInt
  Log of the error weighting
radius GeglParamInt
  Radius of the processing window
threshold GeglParamDouble
  Alpha threshold for multilevel processing
lambda GeglParamDouble
  Trimap influence factor
levels GeglParamInt
  Number of downsampled levels to use
active-levels GeglParamInt
  Number of levels to perform solving

### GeglOpimage-compare_c

GObject/GeglOperation/GeglOperationComposer/GeglOpimage-compare_c

##### Properties

wrong-pixels GeglParamInt
  Number of differing pixels.
max-diff GeglParamDouble
  Maximum difference between two pixels.
avg-diff-wrong GeglParamDouble
  Average difference between wrong pixels.
avg-diff-total GeglParamDouble
  Average difference between all pixels.

### GeglOpmap-absolute_c

GObject/GeglOperation/GeglOperationComposer/GeglOpmap-absolute_c

##### Properties

sampler-type GeglParamEnum
abyss-policy GeglParamEnum

### GeglOpmap-relative_c

GObject/GeglOperation/GeglOperationComposer/GeglOpmap-relative_c

##### Properties

scaling GeglParamDouble
  scaling factor of displacement, indicates how large spatial displacement a relative mapping value of 1.0 corresponds to.
sampler-type GeglParamEnum
abyss-policy GeglParamEnum

### GeglOpmatting-global_c

GObject/GeglOperation/GeglOperationComposer/GeglOpmatting-global_c

##### Properties

iterations GeglParamInt

### GeglOpseamless-clone_c

GObject/GeglOperation/GeglOperationComposer/GeglOpseamless-clone_c

##### Properties

max-refine-scale GeglParamInt
  Maximal scale of refinement points to be used for the interpolation mesh
xoff GeglParamInt
  How much horizontal offset should applied to the paste
yoff GeglParamInt
  How much horizontal offset should applied to the paste
error-msg GParamString
  An error message in case of a failure

### GeglOperationSink

GObject/GeglOperation/GeglOperationSink

#### subclasses

GeglOpppm-save_c
GeglOpwebp-save_c
GeglOpsave-pixbuf_c
GeglOpexr-save_cc
GeglOpsdl-display_c
GeglOptiff-save_c
GeglOppng-save_c
GeglOprgbe-save_c
GeglOpnpy-save_c
GeglOpff-save_c
GeglOpjpg-save_c
GeglOpbuffer-sink_c
GeglOpdisplay_c
GeglOpgegl-buffer-save-op_c
GeglOpicc-save_c
GeglOpsave_c
GeglOpwrite-buffer_c

### GeglOpppm-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpppm-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout.
rawformat GParamBoolean
bitdepth GeglParamInt
  8 and 16 are the currently accepted values.

### GeglOpwebp-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpwebp-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout
quality GeglParamInt
  WebP compression quality

### GeglOpsave-pixbuf_c

GObject/GeglOperation/GeglOperationSink/GeglOpsave-pixbuf_c

##### Properties

pixbuf GParamPointer

### GeglOpexr-save_cc

GObject/GeglOperation/GeglOperationSink/GeglOpexr-save_cc

##### Properties

path GeglParamFilePath
  path of file to write to.
tile GeglParamInt
  tile size to use.

### GeglOpsdl-display_c

GObject/GeglOperation/GeglOperationSink/GeglOpsdl-display_c

##### Properties

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window

### GeglOptiff-save_c

GObject/GeglOperation/GeglOperationSink/GeglOptiff-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout

### GeglOppng-save_c

GObject/GeglOperation/GeglOperationSink/GeglOppng-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout.
compression GeglParamInt
  PNG compression level from 1 to 9
bitdepth GeglParamInt
  8 and 16 are the currently accepted values.

### GeglOprgbe-save_c

GObject/GeglOperation/GeglOperationSink/GeglOprgbe-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout.

### GeglOpnpy-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpnpy-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout

### GeglOpff-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpff-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout.
audio GeglParamAudioFragment
audio-codec GParamString
  Audio codec to use, or auto to use a good default based on container format.
audio-sample-rate GeglParamInt
  -1 means autodetect on first audio fragment
audio-bit-rate GeglParamInt
  Target encoded video bitrate in kb/s
frame-rate GeglParamDouble
video-codec GParamString
  Video codec to use, or auto to use a good default based on container format.
video-bit-rate GeglParamInt
  Target encoded video bitrate in kb/s
video-bufsize GeglParamInt
container-format GParamString
  Container format to use, or auto to autodetect based on file extension.

### GeglOpjpg-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpjpg-save_c

##### Properties

path GeglParamFilePath
  Target path and filename, use '-' for stdout
quality GeglParamInt
  JPEG compression quality (between 1 and 100)
smoothing GeglParamInt
  Smoothing factor from 1 to 100; 0 disables smoothing
optimize GParamBoolean
  Use optimized huffman tables
progressive GParamBoolean
  Create progressive JPEG images
grayscale GParamBoolean
  Create a grayscale (monochrome) image

### GeglOpbuffer-sink_c

GObject/GeglOperation/GeglOperationSink/GeglOpbuffer-sink_c

##### Properties

buffer GParamPointer
format GParamPointer

### GeglOpdisplay_c

GObject/GeglOperation/GeglOperationSink/GeglOpdisplay_c

##### Properties

window-title GParamString
  Title to be given to output window

### GeglOpgegl-buffer-save-op_c

GObject/GeglOperation/GeglOperationSink/GeglOpgegl-buffer-save-op_c

##### Properties

path GeglParamFilePath
  Target file path to write GeglBuffer to.

### GeglOpicc-save_c

GObject/GeglOperation/GeglOperationSink/GeglOpicc-save_c

##### Properties

path GeglParamFilePath
  Target path and filename

### GeglOpsave_c

GObject/GeglOperation/GeglOperationSink/GeglOpsave_c

##### Properties

path GeglParamFilePath
  Path of file to save.

### GeglOpwrite-buffer_c

GObject/GeglOperation/GeglOperationSink/GeglOpwrite-buffer_c

##### Properties

buffer GParamObject
  A pre-existing GeglBuffer to write incoming buffer data to.

### GeglOperationSource

GObject/GeglOperation/GeglOperationSource

#### subclasses

GeglOpwebp-load_c
GeglOprgbe-load_c
GeglOptext_c
GeglOpjpg-load_c
GeglOppng-load_c
GeglOpv4l_c
GeglOpsvg-load_c
GeglOpppm-load_c
GeglOpexr-load_cpp
GeglOptiff-load_c
GeglOppixbuf_c
GeglOpgif-load_c
GeglOpff-load_c
GeglOpraw-load_c
GeglOpbuffer-source_c
GeglOperationPointRender
GeglOpgegl-buffer-load-op_c
GeglOpintrospect_c
GeglOpmagick-load_c
GeglOpopen-buffer_c

### GeglOpwebp-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpwebp-load_c

##### Properties

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load

### GeglOprgbe-load_c

GObject/GeglOperation/GeglOperationSource/GeglOprgbe-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

### GeglOptext_c

GObject/GeglOperation/GeglOperationSource/GeglOptext_c

##### Properties

string GParamString
  String to display (utf8)
font GParamString
  Font family (utf8)
size GeglParamDouble
  Font size in pixels.
color GeglParamColor
  Color for the text (defaults to 'black')
wrap GeglParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
vertical-wrap GeglParamInt
  Sets the height in pixels according to which the text is vertically justified. Use -1 for no vertical justification.
alignment GeglParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
vertical-alignment GeglParamInt
  Vertical text alignment (0=Top, 1=Middle, 2=Bottom)
width GeglParamInt
  Rendered width in pixels. (read only)
height GeglParamInt
  Rendered height in pixels. (read only)

### GeglOpjpg-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpjpg-load_c

##### Properties

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI of file to load

### GeglOppng-load_c

GObject/GeglOperation/GeglOperationSource/GeglOppng-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.
uri GeglParamUri
  URI for file to load.

### GeglOpv4l_c

GObject/GeglOperation/GeglOperationSource/GeglOpv4l_c

##### Properties

path GeglParamFilePath
  Path to v4l device
width GeglParamInt
  Width for rendered image
height GeglParamInt
  Height for rendered image
frame GeglParamInt
  current frame number, can be changed to trigger a reload of the image.
fps GeglParamInt
  autotrigger reload this many times a second.

### GeglOpsvg-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpsvg-load_c

##### Properties

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load
width GeglParamInt
  Width for rendered image
height GeglParamInt
  Height for rendered image

### GeglOpppm-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpppm-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.
uri GeglParamFilePath
  URI of image to load.

### GeglOpexr-load_cpp

GObject/GeglOperation/GeglOperationSource/GeglOpexr-load_cpp

##### Properties

path GeglParamFilePath
  Path of file to load.

### GeglOptiff-load_c

GObject/GeglOperation/GeglOperationSource/GeglOptiff-load_c

##### Properties

path GeglParamFilePath
  Path of file to load
uri GeglParamUri
  URI for file to load
directory GeglParamInt
  Image file directory (subfile)

### GeglOppixbuf_c

GObject/GeglOperation/GeglOperationSource/GeglOppixbuf_c

##### Properties

pixbuf GParamObject
  GdkPixbuf to use

### GeglOpgif-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpgif-load_c

##### Properties

path GeglParamFilePath
  Path of file to load
frame GeglParamInt
  frame number to decode
frames GeglParamInt
  Number of frames in gif animation
frame-delay GeglParamInt
  Delay in ms for last decoded frame

### GeglOpff-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpff-load_c

##### Properties

path GeglParamFilePath
  Path of video file to load
frame GeglParamInt
frames GeglParamInt
  Number of frames in video, updates at least when first frame has been decoded.
audio-sample-rate GeglParamInt
audio-channels GeglParamInt
frame-rate GeglParamDouble
  Frames per second, permits computing time vs frame
video-codec GParamString
audio-codec GParamString
audio GeglParamAudioFragment

### GeglOpraw-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpraw-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.
image-num GeglParamInt
color-space GeglParamEnum
  Color space to use for loaded data
quality GeglParamInt

### GeglOpbuffer-source_c

GObject/GeglOperation/GeglOperationSource/GeglOpbuffer-source_c

##### Properties

buffer GParamObject
  The GeglBuffer to load into the pipeline

### GeglOperationPointRender

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender

#### subclasses

GeglOpcheckerboard_c
GeglOpcolor_c
GeglOpgrid_c
GeglOplinear-gradient_c
GeglOpnoise-perlin_c
GeglOpnoise-simplex_c
GeglOpnoise-cell_c
GeglOpradial-gradient_c

### GeglOpcheckerboard_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpcheckerboard_c

##### Properties

x GeglParamInt
  Horizontal width of cells pixels
y GeglParamInt
  Vertical width of cells pixels
x-offset GeglParamInt
  Horizontal offset (from origin) for start of grid
y-offset GeglParamInt
  Vertical offset (from origin) for start of grid
color1 GeglParamColor
  The first cell color
color2 GeglParamColor
  The second cell color
format GeglParamFormat
  The babl format of the output

### GeglOpcolor_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpcolor_c

##### Properties

value GeglParamColor
  The color to render (defaults to 'black')
format GeglParamFormat
  The babl format of the output

### GeglOpgrid_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpgrid_c

##### Properties

x GeglParamInt
  Horizontal width of cells pixels
y GeglParamInt
  Vertical width of cells pixels
x-offset GeglParamInt
  Horizontal offset (from origin) for start of grid
y-offset GeglParamInt
  Vertical offset (from origin) for start of grid
line-width GeglParamInt
  Width of grid lines in pixels
line-height GeglParamInt
  Height of grid lines in pixels
line-color GeglParamColor
  Color of the grid lines

### GeglOplinear-gradient_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOplinear-gradient_c

##### Properties

start-x GeglParamDouble
start-y GeglParamDouble
end-x GeglParamDouble
end-y GeglParamDouble
start-color GeglParamColor
  The color at (x1, y1)
end-color GeglParamColor
  The color at (x2, y2)

### GeglOpnoise-perlin_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpnoise-perlin_c

##### Properties

alpha GeglParamDouble
scale GeglParamDouble
zoff GeglParamDouble
n GeglParamInt

### GeglOpnoise-simplex_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpnoise-simplex_c

##### Properties

scale GeglParamDouble
  The scale of the noise function
iterations GeglParamInt
  The number of noise octaves.
seed GeglParamSeed
  The random seed for the noise function

### GeglOpnoise-cell_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpnoise-cell_c

##### Properties

scale GeglParamDouble
  The scale of the noise function
shape GeglParamDouble
  Interpolate between Manhattan and Euclidean distance.
rank GeglParamInt
  Select the n-th closest point
iterations GeglParamInt
  The number of noise octaves.
palettize GParamBoolean
  Fill each cell with a random color
seed GeglParamSeed
  The random seed for the noise function

### GeglOpradial-gradient_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglOpradial-gradient_c

##### Properties

start-x GeglParamDouble
start-y GeglParamDouble
end-x GeglParamDouble
end-y GeglParamDouble
start-color GeglParamColor
  The color at (x1, y1)
end-color GeglParamColor
  The color at (x2, y2)

### GeglOpgegl-buffer-load-op_c

GObject/GeglOperation/GeglOperationSource/GeglOpgegl-buffer-load-op_c

##### Properties

path GeglParamFilePath
  Path of GeglBuffer file to load.

### GeglOpintrospect_c

GObject/GeglOperation/GeglOperationSource/GeglOpintrospect_c

##### Properties

node GParamObject

### GeglOpmagick-load_c

GObject/GeglOperation/GeglOperationSource/GeglOpmagick-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

### GeglOpopen-buffer_c

GObject/GeglOperation/GeglOperationSource/GeglOpopen-buffer_c

##### Properties

path GParamString
  a GeglBuffer on disk to open

### GeglOperationComposer3

GObject/GeglOperation/GeglOperationComposer3

#### subclasses

GeglOperationPointComposer3

### GeglOperationPointComposer3

GObject/GeglOperation/GeglOperationComposer3/GeglOperationPointComposer3

#### subclasses

GeglOpremap_c

### GeglOpremap_c

GObject/GeglOperation/GeglOperationComposer3/GeglOperationPointComposer3/GeglOpremap_c

### JsonParser

GObject/JsonParser

##### Properties

immutable GParamBoolean
  Whether the parser output is immutable.

### GeglNode

GObject/GeglNode

##### Properties

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.
use-opencl GParamBoolean
  Use the OpenCL version of this operation if available, this property is inherited by children created from a node.
passthrough GParamBoolean
  Act as a nop, passing input unmodifed through to ouput.

### GeglNodeOutputVisitable

GObject/GeglNodeOutputVisitable

### GeglTileSource

GObject/GeglTileSource

#### subclasses

GeglTileHandler
GeglTileBackend

### GeglTileHandler

GObject/GeglTileSource/GeglTileHandler

##### Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglBuffer
GeglTileHandlerChain
GeglTileHandlerCache
GeglTileHandlerEmpty
GeglTileHandlerZoom

### GeglBuffer

GObject/GeglTileSource/GeglTileHandler/GeglBuffer

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamObject
  A custom tile-backend instance to use

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglCache

### GeglCache

GObject/GeglTileSource/GeglTileHandler/GeglBuffer/GeglCache

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamObject
  A custom tile-backend instance to use

### GeglTileHandlerChain

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglTileStorage

### GeglTileStorage

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain/GeglTileStorage

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerCache

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerCache

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerEmpty

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerEmpty

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerZoom

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerZoom

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileBackend

GObject/GeglTileSource/GeglTileBackend

##### Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format
flush-on-destroy GParamBoolean
  Cache tiles will be flushed before the backend is destroyed

#### subclasses

GeglTileBackendRam

### GeglTileBackendRam

GObject/GeglTileSource/GeglTileBackend/GeglTileBackendRam

##### Inherited Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format
flush-on-destroy GParamBoolean
  Cache tiles will be flushed before the backend is destroyed

### GeglColor

GObject/GeglColor

##### Properties

string GParamString
  A String representation of the GeglColor

### GeglCurve

GObject/GeglCurve

### GeglPath

GObject/GeglPath

### GeglAudioFragment

GObject/GeglAudioFragment

##### Properties

string GParamString
  A String representation of the GeglAudioFragment

### GdkPixbuf

GObject/GdkPixbuf

##### Properties

colorspace GParamEnum
  The colorspace in which the samples are interpreted
n-channels GParamInt
  The number of samples per pixel
has-alpha GParamBoolean
  Whether the pixbuf has an alpha channel
bits-per-sample GParamInt
  The number of bits per sample
width GParamInt
  The number of columns of the pixbuf
height GParamInt
  The number of rows of the pixbuf
rowstride GParamInt
  The number of bytes between the start of a row and the start of the next row
pixels GParamPointer
  A pointer to the pixel data of the pixbuf
pixel-bytes GParamBoxed
  Readonly pixel data

### GeglPad

GObject/GeglPad

### GeglVisitor

GObject/GeglVisitor

#### subclasses

GeglCallbackVisitor

### GeglCallbackVisitor

GObject/GeglVisitor/GeglCallbackVisitor

### GeglEvalManager

GObject/GeglEvalManager

### GeglProcessor

GObject/GeglProcessor

##### Properties

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.